#!/usr/bin/env python

import vtk

###INTERIM CODE FOR PRODUCING A 360 degree spin movie
def exportScene(the_frame_parent):
    
    for i in range(180):
        
        filename = './images/test_obj'
        
        ren = the_frame_parent.ren
        widget = the_frame_parent.widget
        window = ren.GetRenderWindow()
        
        writer = vtk.vtkOBJExporter()
        writer.SetRenderWindow(window)
        writer.SetFilePrefix(filename+"_bdw")
        writer.Write()
        
        
        print 'saved main window to %04d.tif sucessfully' %i